addCovariates {secr} | R Documentation

## Add Covariates to Mask or Traps

### Description

Tools to construct spatial covariates for existing mask or traps objects from a spatial data source. Possible sources include GIS data such as ESRI polygon shapefiles input using rgdal.

### Usage

    addCovariates(object, spatialdata, columns = NULL, strict = FALSE, replace = FALSE)

### Arguments

`object` | mask or traps object
`spatialdata` | spatial data source (see Details)
`columns` | character vector naming columns to include (all by default)
`strict` | logical; if TRUE a check is performed for points in `object` that lie outside `spatialdata` (mask data sources only)
`replace` | logical; if TRUE then covariates with duplicate names are replaced; otherwise a new column is added

### Details

The goal is to obtain the value(s) of one or more spatial covariates for each point (i.e. row) in `object`. The procedure depends on the data source `spatialdata`, which may be either a spatial coverage (raster or polygon) or an object with covariate values at points (another mask or traps object). In the first case, an overlay operation is performed to find the pixel or polygon matching each point. In the second case, a search is conducted for the closest point in `spatialdata`.

If `spatialdata` is a character value then it is interpreted as the name of a polygon shape file (excluding ‘.shp’).

If `spatialdata` is a SpatialPolygonsDataFrame or a SpatialGridDataFrame then it will be used in an overlay operation as described.

If `spatialdata` is a `mask` or `traps` object then it is searched for the closest point to each point in `object`, and covariates are drawn from the corresponding rows in `covariates(spatialdata)`. By default (`strict = FALSE`), values are returned even when the points lie outside any cell of the mask.

### Value

An object of the same class as `object` with new or augmented `covariates` attribute. Column names and types are derived from the input.

### Warning

Use of a SpatialGridDataFrame for `spatialdata` is untested.

### Note

The package rgdal is needed to read a shapefile, and the package sp is needed for spatial overlay.

### See Also

`make.mask`, `read.mask`, `read.traps`

### Examples

    ## In the Lake Station skink study (see ?skink), habitat covariates were
    ## measured only at trap sites. Here we extrapolate to a mask, taking
    ## values for each mask point from the nearest trap.

    LSmask <- make.mask(LStraps, buffer = 30, type = "trapbuffer")
    tempmask <- addCovariates(LSmask, LStraps)
    ## show first few lines
    head(covariates(tempmask))

[Package secr version 3.2.1 Index]